package com.qianhe.zqcz.jcrw.service;

import com.qianhe.common.core.page.TableDataInfo;
import com.qianhe.zqcz.jcrw.domain.*;

import java.util.List;

public interface ZqczJcrwService {
    /**
     * 条件查询
     */
    List<ZqczJcrwVo> list(ZqczJcrwQuery zqczJcrwQuery);

    /**
     * 查询详情
     */
    ZqczJcrwVo info(Long jcrwid);

    /**
     * 新增
     */
    int add(ZqczJcrw zqczJcrw, String username);

    /**
     * 修改
     */
    int edit(ZqczJcrw zqczJcrw, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 根据直属任务ID 删除
     */
    int deleteByZsrwid(Long zsrwid);

    /**
     * 基层抽检查询
     */
    ZqczJccjVo jcrwInfo(ZqczJcrwQuery zqczJcrwQuery);

    /**
     * 基层任务抽取
     */
    int spotCheckAdd(ZqczJccjQuery zqczJccjQuery);
}
